<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Liber</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div>
    <div>
      <div class="sectionTitle"> Conheça todos nossos livros</div>
      <ion-slides [options]="slideOpts" class="slides">
        <ion-slide class="slide" *ngFor='let book of books'>
          <ion-card routerLink="/book" (click)="getId(book.id)">
            <img src="../../../assets/images/livro2.jpg">
            <div class="cardText">
              <h4 class="bookTitle">{{book.name}}</h4>
              <h5 class="bookPrice">Preço: R${{book.price}}</h5>
              <h6 class="bookRating">Rating: {{book.avg_rating}}</h6>
              <h6 class="bookQuantitySold">Condição: {{book.condition}}</h6>
            </div>
          </ion-card>
      </ion-slide>
      </ion-slides>
    </div>

    <div>
      <div class="sectionTitle">Melhores Avaliações <ion-icon name="star-outline"></ion-icon></div>
      <ion-slides [options]="slideOpts" class="slides">
        <ion-slide class="slide" *ngFor='let books of wellRatedBooks'>
            <ion-card routerLink="/book">
              <img src="../../../assets/images/livro5.jpg">
              <div class="cardText">
                <h4 class="bookTitle">{{books.name}}</h4>
                <h5 class="bookPrice">Preço: ${{books.price}}</h5>
                <h6 class="bookRating">Rating: {{books.avg_rating}}</h6>
                <h6 class="bookQuantitySold">Qtd Vendida: {{books.amount_sold}}</h6>
              </div>
            </ion-card>
        </ion-slide>
      </ion-slides>
    </div>

    <div>
      <div class="sectionTitle">Mais Vendidos <ion-icon name="pricetag-outline"></ion-icon></div>
      <ion-slides class="slides" [options]="slideOpts">
        <ion-slide class="slide" *ngFor='let books of mostSoldBooks'>
          <ion-card routerLink="/book">
            <img src="../../../assets/images/livro9.jpg">
            <div class="cardText">
              <h4 class="bookTitle">{{books.name}}</h4>
              <h5 class="bookPrice">Preço: ${{books.price}}</h5>
              <h6 class="bookRating">Rating: {{books.avg_rating}}</h6>
              <h6 class="bookQuantitySold">Qtd Vendida: {{books.amount_sold}}</h6>
            </div>
          </ion-card>
        </ion-slide>
      </ion-slides>
    </div>
  </div>

  <ion-fab horizontal="end" vertical="bottom" slot="fixed">
    <ion-fab-button color="danger" routerLink="/add-book">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
